MMEvents.createProcesses(event => {
  event
    .create('mm:crushed_netherrack_sieve_recipe')
    .structureId('mm:sieve_structure')
    .ticks(4)
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:crushed_netherrack',
        count: 1
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:energy',
        amount: 10000
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.5,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:gunpowder',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.70,
      ingredient: {
        type: 'mm:item',
        item: 'kubejs:soulium_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.70,
      ingredient: {
        type: 'mm:item',
        item: 'mysticalagriculture:inferium_essence',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.70,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:boron_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.70,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:iridium_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.70,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:magnesium_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.70,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:lithium_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.80,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:copper_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.80,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:gold_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.80,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:aluminum_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.70,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:quartz',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.70,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:thorium_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.99,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:uranium_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.70,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:cobalt_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.10,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:platinum_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.60,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:blaze_powder',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.60,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:magma_cream',
        count: 1
      }
    })
})
